:root {
  --blue: #2396ff;
  --primary-button-hover: #006ed7;
  --blue-bg: #ecf0f7;
  --primary-bg: #f6f7f9;
  --secondary-text: #7380a2;
  --secondary-border: #d3dbf1;
  --primary-text: #011240;
  --tertyary: #bfc9e3;
  --tertyary-button-hover: #3b4c78;
  --black-text: #323232;
  --success: #32d583;
  --sample-bg: #232c44;
  --warning: #fec84b;
  --yellow: #FFE39C;
  --disabled-text: #a1abc5;
  --red-text: #F04438;
  --red-hover: #B42318;

  --primary-button-disabled: #89c7ff;
  --transition: all 0.2s ease-in-out;
}

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body,
html {
  overflow-x: hidden;
}

body {
  background-color: var(--blue-bg);
  position: relative;
  font-family: "Mulish", sans-serif !important;
}

.gap-6 {
  gap: 2.5rem;
}

.gap-7 {
  gap: 3.5rem;
}

.gap-8 {
  gap: 5rem;
}

.gap-9 {
  gap: 7.5rem;
}

.radius-1 {
  border-radius: 8px;
}

.radius-2 {
  border-radius: 16px;
}

.fs-10 {
  font-size: 10px;
}

.fs-13 {
  font-size: 13px;
}

.fs-14 {
  font-size: 14px;
}

.fs-36 {
  font-size: 36px;
}

.fs-40 {
  font-size: 40px;
}

.fs-58 {
  font-size: 58px;
  line-height: 58px;
}

.fw-500 {
  font-weight: 500;
}

.fw-600 {
  font-weight: 600;
}

.fw-800 {
  font-weight: 800;
}

.fw-900 {
  font-weight: 900;
}

.lh-36 {
  line-height: 36px;
}

.secondary-text {
  color: var(--secondary-text);
}

.tertyary-text {
  color: var(--tertyary);
}

.primary-text {
  color: var(--primary-text);
}

.blue-text {
  color: var(--blue);
}

.blue-text:hover {
  color: var(--primary-button-hover);
}

.primary-blue-text {
  color: var(--primary-button-hover);
}

.black-text {
  color: var(--black-text);
}

.red-text {
  color: var(--red-text) !important;
}

.green-text {
  color: var(--success) !important;
}

.cursor-pointer {
  cursor: pointer;
}

.primary-bg {
  background-color: var(--primary-bg);
}

.blue-bg {
  background-color: var(--blue-bg) !important;
}

.pt-40 {
  padding-top: 40px;
}

.mb-80 {
  margin-bottom: 80px;
}

.mb-40 {
  margin-bottom: 40px;
}

.pb-40 {
  padding-bottom: 40px;
}

.py-40 {
  padding-top: 40px;
  padding-bottom: 40px;
}

.px-56 {
  padding-left: 56px;
  padding-right: 56px;
}

.p-32 {padding: 32px;}

nav {
  height: 60px;
  width: 100%;
  top: 0;
  left: 0;
  padding: 4px 24px;
  background-color: var(--blue-bg);
  z-index: 100;
}

button {
  outline: none;
  border: none;
  cursor: pointer;
  padding: 13px 24px;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  background-color: var(--primary-bg);
}

button,
button > span {
  font-size: 16px;
  font-weight: 600;
  border-radius: 16px;
}

button:hover {
  background-color: var(--blue-bg);
}

input.disabled {
  border: 1px solid var(--secondary-border) !important;
}

input.disabled,
input.disabled::placeholder {
  color: var(--disabled-text) !important;
  background-color: white !important;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

.custom-radio {
  display: inline-flex;
  align-items: center;
  cursor: pointer;
  font-size: 16px;
}

.custom-radio input[type="radio"] {
  display: none;
}

.radio-checkmark {
  width: 20px;
  height: 20px;
  background-color: white;
  border: 2px solid var(--blue);
  border-radius: 50%;
  position: relative;
  margin-right: 8px;
}

.custom-radio input[type="radio"]:checked + .radio-checkmark::after {
  content: '';
  width: 10px;
  height: 10px;
  background-color: var(--blue);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.primary-button {
  color: white;
  background-color: var(--blue);
}

.primary-button.disabled {
  background-color: var(--primary-button-disabled);
  pointer-events: none;
}

.white-button {
  color: var(--primary-text);
  background-color: white;
}

.primary-dark-button {
  color: white;
  background-color: var(--primary-text);
}

.primary-dark-button:hover {
  color: white;
  background-color: #010b29;
}

.red-button {
  color: white;
  background-color: var(--red-text);
}

.red-button:hover {
  color: white;
  background-color: var(--red-hover);
}

.gray-button {
  color: var(--secondary-text);
  background-color: var(--blue-bg);
  padding: 8px 16px;
}

.gray-button:hover {
  color: var(--primary-text);
}

.white-dropdown {
  border: 1px solid var(--secondary-border) !important;
  background-color: white !important;
}

.back {
  width: 56px;
  height: 56px;
  border-radius: 100px;
  position: relative;
  background-color: var(--primary-bg);
  cursor: pointer;
  transition: var(--transition);
}

.back:hover {
  background-color: var(--blue-bg);
}

.back::after {
  content: url(../images/arrow.svg);
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -42%);
  -ms-transform: translate(-50%, -42%);
  transform: translate(-50%, -42%);
}

.primary-button:hover {
  background-color: var(--primary-button-hover);
}

.menu > span {
  padding: 14px 16px;
  border-radius: 8px;
  cursor: pointer;
  transition: var(--transition);
}

.menu > span:hover {
  background-color: var(--primary-bg);
  color: var(--primary-text);
}

.menu > span:hover svg path {
  fill: var(--primary-text);
}

.sidebar {
  top: 60px;
  left: 0;
  width: 80px;
  height: 100vh;
  z-index: 10;
  background-color: var(--blue-bg);
}

.sidebar > span {
  width: 48px;
  height: 48px;
  padding: 12px;
  border-radius: 8px;
  cursor: pointer;
  transition: var(--transition);
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  background-size: 24px 24px;
  background-repeat: no-repeat;
  background-position: center;
}

.sidebar > span:hover {
  background-color: var(--primary-bg);
}

.sidebar > span.lamp-charge {
  background-image: url(../images/lamp-charge.svg);
}

.sidebar > span.lamp-charge.active,
.sidebar > span.lamp-charge:hover {
  background-image: url(../images/lamp-charge-hover.svg);
}

.sidebar > span.note {
  background-image: url(../images/note.svg);
}

.sidebar > span.note:hover,
.sidebar > span.note.active {
  background-image: url(../images/note-hover.svg);
}

.sidebar > span.chart-icon {
  background-image: url(../images/chart.svg);
}

.sidebar > span.chart-icon:hover,
.sidebar > span.chart-icon.active {
  background-image: url(../images/chart-hover.svg);
}

.sidebar > span.presention-chart {
  background-image: url(../images/presention-chart.svg);
}

.sidebar > span.presention-chart:hover,
.sidebar > span.presention-chart.active {
  background-image: url(../images/presention-chart-hover.svg);
}

.sidebar > span.active {
  background-color: var(--tertyary);
}

.modal {
  display: none;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background: #343a49b2;
  z-index: 1000;
}

.modal-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background-color: white;
  border-radius: 16px;
  position: relative;
  width: 100%;
  margin: 0 auto;
  /* top: 50%;
    transform: translateY(-50%); */
  max-height: calc(100vh - 20px);
  overflow-y: auto;
}

.remove-parent,
.close-modal {
  cursor: pointer;
  right: 16px;
  top: 16px;
}

.remove-parent::after,
.close-modal::after {
  content: url(../images/close.svg);
  width: 24px;
  height: 24px;
}

.main-content {
  background-color: white;
  border-top-left-radius: 16px;
  width: calc(100% - 80px);
  min-height: calc(100vh - 60px);
  max-height: calc(100vh - 60px);
  margin-left: 80px;
  margin-top: 60px;
  scroll-behavior: smooth;
}

/* +++++++++++++++++++++++toggler-wrapper++++++++++++++++++++++ */

.toggler-wrapper {
  display: block;
  width: 50px;
  min-width: 50px;
  height: 30px;
  min-height: 30px;
  cursor: pointer;
  position: relative;
}

.toggler-wrapper.disabled input[type="checkbox"] {
  pointer-events: none;
}

.toggler-wrapper input[type="checkbox"] {
  display: none;
}

.toggler-slider {
  background-color: var(--secondary-text);
  position: absolute;
  border-radius: 100px;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
}

.toggler-wrapper.disabled .toggler-slider {
  background-color: var(--tertyary) !important;
}

.toggler-wrapper.disabled .toggler-slider {
  background-color: var(--tertyary);
}

.toggler-wrapper.disabled {
  cursor: default;
}

.toggler-wrapper.disabled input[type="checkbox"] {
  pointer-events: none;
  cursor: default;
}

.toggler-wrapper.toggler-style .toggler-knob {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  left: 5px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  background-color: #fff;
}

.toggler-wrapper .toggler-knob {
  position: absolute;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
}

.toggler-wrapper.toggler-style .toggler-knob::after {
  content: url(../images/play.svg);
  position: relative;
  display: block;
  left: 4px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.toggler-wrapper.green input[type="checkbox"]:checked + .toggler-slider {
  background-color: var(--success);
}

.toggler-wrapper.blue input[type="checkbox"]:checked + .toggler-slider {
  background-color: var(--blue);
}

.toggler-wrapper.toggler-style
  input[type="checkbox"]:checked
  + .toggler-slider
  .toggler-knob {
  left: calc(100% - 25px);
}

.toggler-wrapper.toggler-style
  input[type="checkbox"]:checked
  + .toggler-slider
  .toggler-knob::after {
  content: url(../images/pause.svg);
}

/* +++++++++++++++++++++++toggler-wrapper++++++++++++++++++++++ */

.checkbox-size {
  width: 18px;
  height: 18px;
}

.toggler-wrapper.blue .toggler-knob::after,
.toggler-wrapper.blue.toggler-style
  input[type="checkbox"]:checked
  + .toggler-slider
  .toggler-knob::after {
  content: '';
}

/*--------------SEARCH INPUT------------------*/
.search-input {
  padding: 8px 16px 8px 8px;
  background-color: var(--blue-bg);
  border-radius: 16px;
  overflow: hidden;
  position: relative;
  border: 1px solid white;
  display: flex;
  align-items: center;
  gap: 8px;
  min-width: 254px;
}

.search-input .search-icon {
  width: 24px;
  height: 24px;
  position: relative;
  -ms-transform: translateY(-50%);
  opacity: 0.5;
  cursor: pointer;
}

.search-input .search-icon::after {
  content: url(../images/search-normal.svg);
}

.search-input .clear-search-text {
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  font-size: 16px;
  font-weight: 600;
  color: var(--blue);
  right: -100%;
  cursor: pointer;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
}

.search-input input {
  border: none;
  outline: none;
  background-color: transparent;
  font-size: 16px;
  font-weight: 600;
  color: var(--primary-text);
  width: 100%;
}

.search-input input::-webkit-input-placeholder {
  color: var(--secondary-text);
  font-size: 16px;
  font-weight: 400;
}

.search-input input::-moz-placeholder {
  color: var(--secondary-text);
  font-size: 16px;
  font-weight: 400;
}

.search-input input:-ms-input-placeholder {
  color: var(--secondary-text);
  font-size: 16px;
  font-weight: 400;
}

.search-input input::-ms-input-placeholder {
  color: var(--secondary-text);
  font-size: 16px;
  font-weight: 400;
}

.search-input input::placeholder {
  color: var(--secondary-text);
  font-size: 16px;
  font-weight: 400;
}

.search-input:focus-within {
  border: 1px solid var(--blue);
}

.search-input:hover input::-webkit-input-placeholder {
  color: var(--primary-text);
}

.search-input:hover input::-moz-placeholder {
  color: var(--primary-text);
}

.search-input:hover input:-ms-input-placeholder {
  color: var(--primary-text);
}

.search-input:hover input::-ms-input-placeholder {
  color: var(--primary-text);
}

.search-input:hover input::placeholder {
  color: var(--primary-text);
}

.search-input:hover .search-icon {
  opacity: 1;
}

/*--------------SEARCH INPUT------------------*/

/*--------------CUSTOM SIMPLE DROPDOWN------------------*/
.wrapper-dropdown {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  min-width: 120px;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  max-width: 300px;
  padding: 8px 16px;
  border-radius: 16px;
  background: var(--blue-bg);
  text-align: left;
  color: var(--secondary-text);
  cursor: pointer;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  gap: 8px;
  border: 1px solid transparent;
}

.wrapper-dropdown.disabled {
  background: white;
  border: 1px solid var(--secondary-border);
}

.wrapper-dropdown.disabled .selected-display {
  color: var(--disabled-text);
}

.wrapper-dropdown.disabled svg path,
.wrapper-dropdown.disabled:hover svg path {
  fill: var(--disabled-text) !important;
}


.wrapper-dropdown.large {
  min-width: 212px;
}

.wrapper-dropdown:hover svg path {
  fill: var(--blue);
}

.wrapper-dropdown:hover > span {
  color: var(--primary-text);
}

.wrapper-dropdown > span {
  font-size: 16px;
  font-weight: 400;
  color: var(--secondary-text);
}

.scrollable-menu {
  height: auto;
  max-height: 200px;
  overflow-x: hidden;
}

.arrow {
  margin-left: 10px;
  margin-right: 10px;
  float: right;
  rotate: 180deg;
}

svg {
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
}

.wrapper-dropdown::before {
  position: absolute;
  top: 50%;
  right: 16px;
  margin-top: -2px;
  border-width: 6px 6px 0 6px;
  border-style: solid;
  border-color: #fff transparent;
}

.rotated {
  -webkit-transform: rotate(-180deg);
  -ms-transform: rotate(-180deg);
  transform: rotate(-180deg);
}

.wrapper-dropdown .dropdown {
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  position: absolute;
  top: 120%;
  right: 0;
  left: 0;
  margin: 0;
  padding: 0;
  list-style: none;
  z-index: 99;
  border-radius: 16px;
  opacity: 0;
  visibility: hidden;
  border: 1px solid var(--secondary-border);
  background-color: white;
  overflow: hidden;
}

.wrapper-dropdown .dropdown li {
  padding: 13px 16px;
  line-height: 24px;
  overflow: hidden;
  font-size: 16px;
  font-weight: 600;
  color: var(--primary-text);
  white-space: nowrap;
}

.wrapper-dropdown .dropdown li:last-child {
  border-bottom: none;
}

.wrapper-dropdown .dropdown li:hover {
  background-color: var(--blue-bg);
}

.wrapper-dropdown.active {border: 1px solid var(--blue);}

.wrapper-dropdown.active .dropdown {
  opacity: 1;
  visibility: visible;
}

/*--------------CUSTOM SIMPLE DROPDOWN------------------*/

/*--------------CUSTOM CHECKBOX------------------*/

.custom-checkbox {
  display: inline-block;
  position: relative;
  cursor: pointer;
  width: 18px;
  height: 18px;
}

.custom-checkbox.disabled .checkmark {
  border: 1px solid var(--primary-button-disabled) !important;
}

.custom-checkbox.disabled:hover + .checkmark {
  border-color: var(--primary-button-hover) !important;
}

.custom-checkbox input[type="checkbox"] {
  visibility: hidden;
  width: 18px;
}

.custom-checkbox .checkmark {
  position: absolute;
  top: 0;
  left: 0;
  width: 18px;
  height: 18px;
  background-color: transparent;
  border-radius: 3px;
  border: 1px solid #7380a2;
  background-image: url('data:image/svg+xml;utf8,<svg width="14" height="11" viewBox="0 0 14 11" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M4.75 8.1275L1.62249 5L0.557495 6.0575L4.75 10.25L13.75 1.25L12.6925 0.192505L4.75 8.1275Z" fill="none"/></svg>');
  background-position: center;
  background-repeat: no-repeat;
}

.custom-checkbox input[type="checkbox"]:not(:checked):hover + .checkmark {
  border-color: var(--primary-button-hover);
}

.custom-checkbox input[type="checkbox"]:checked + .checkmark {
  background-color: var(--blue);
  background-image: url('data:image/svg+xml;utf8,<svg width="14" height="11" viewBox="0 0 14 11" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M4.75 8.1275L1.62249 5L0.557495 6.0575L4.75 10.25L13.75 1.25L12.6925 0.192505L4.75 8.1275Z" fill="white"/></svg>');
  border: none;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
}

.custom-checkbox input[type="checkbox"]:checked:hover + .checkmark {
  background-color: var(--primary-button-hover);
}

/*--------------CUSTOM CHECKBOX------------------*/

.success-circle,
.primary-circle {
  width: 8px;
  height: 8px;
  border-radius: 100px;
}

.success-circle {
  background-color: var(--success);
}

.primary-circle {
  background-color: var(--primary-text);
}

.settings {
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
}

.settings:hover {
  background-color: var(--blue-bg);
}

.selected-actions {
  width: calc(100% - 112px);
  padding: 4px;
  background-color: var(--sample-bg);
  position: fixed;
  bottom: 8px;
  border-radius: 24px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  z-index: -1;
}

.selected-actions .action {
  color: white;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
}

.selected-actions .action,
.selected-actions .wrapper-dropdown {
  padding: 13px 15px;
  border-radius: 16px;
  background-color: var(--primary-text);
}

.selected-actions .wrapper-dropdown > span {
  color: white;
}

.selected-actions .wrapper-dropdown .dropdown {
  top: auto;
  bottom: 120%;
  width: 292px;
  max-height: calc(100vh - 90px);
  overflow-y: auto;
}

.selected-actions .wrapper-dropdown .dropdown::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.selected-actions .wrapper-dropdown .dropdown::-webkit-scrollbar-thumb {
  background-color: var(--secondary-border);
  border-radius: 40px;
  width: 8px;
}

.selected-actions .wrapper-dropdown .dropdown::-webkit-scrollbar-track {
  background: var(--blue-bg);
  border-radius: 40px;
  margin: 12px 0;
}

.selected-actions .wrapper-dropdown:hover svg path {
  fill: white;
}

.selected-actions .wrapper-dropdown:hover,
.selected-actions .action:hover {
  background-color: var(--tertyary-button-hover);
}

.selected-actions.active {
  opacity: 1;
  overflow: visible;
  max-height: 100%;
  z-index: 1000;
}

.burger-menu {
  display: none;
  width: 20px;
  height: 12px;
  -webkit-transform: rotate(0deg);
  -ms-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  cursor: pointer;
  z-index: 101;
}

.burger-menu span {
  display: block;
  position: absolute;
  height: 1.5px;
  width: 100%;
  background: var(--secondary-text);
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -ms-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  border-radius: 10px;
}

.burger-menu span:nth-child(1) {
  top: 0px;
  -webkit-transform-origin: left center;
  -ms-transform-origin: left center;
  transform-origin: left center;
}

.burger-menu span:nth-child(2) {
  top: 5px;
  -webkit-transform-origin: left center;
  -ms-transform-origin: left center;
  transform-origin: left center;
}

.burger-menu span:nth-child(3) {
  top: 10px;
  -webkit-transform-origin: left center;
  -ms-transform-origin: left center;
  transform-origin: left center;
}

.burger-menu.open span:nth-child(1) {
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  top: 0;
  left: 0;
}

.burger-menu.open span:nth-child(2) {
  width: 0%;
  opacity: 0;
}

.burger-menu.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
  top: 14px;
  left: 0px;
}

.burger-menu.open span {
  background-color: var(--primary-text);
}

.mobile-balance {
  width: 56px;
  height: 56px;
  border-radius: 100px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  background-color: var(--primary-bg);
}

.mobile-menu {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: white;
  z-index: 1000;
  top: 60px;
  display: none;
}

.mobile-menu-content {
  background-color: var(--primary-bg);
  border-top-left-radius: 24px;
  border-top-right-radius: 24px;
  height: 100%;
}

.mobile-menu-content a {
  border-bottom: 1px solid var(--secondary-border);
}

.platforms .swiper-slide {
  max-width: 165px;
}

#create-company-mobile .modal-content {
  position: absolute;
  top: auto;
  bottom: 0;
  width: 100%;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  gap: 120px;
  transform: none !important;
  border-radius: 24px, 24px, 0px, 0px !important;
}

.top-line {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 37px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.top-line > span {
  background-color: var(--tertyary);
  display: block;
  width: 40px;
  height: 5px;
  border-radius: 100px;
}

.width-544 {
  max-width: 544px;
}

#transfer-modal .wrapper-dropdown {
  max-width: 100%;
}

#transfer-modal .selected-display {
  color: var(--primary-text) !important;
}

#conversions-by-goal .modal-content .close-modal {
  right: 16px;
}

#conversions-by-goal {
  padding-top: 0;
}

.modal-scroll {
  position: relative;
  top: 50%;
  transform: translateY(-50%);
}

.conversion-count {
  width: 30px;
  height: 30px;
  border-radius: 100px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: none;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  background-color: var(--blue);
  color: white;
  font-size: 14px;
  font-weight: 500;
}

#transfer-modal input,
#transfer-modal textarea {
  outline: none;
  border: none;
  padding: 13px 16px;
  border-radius: 16px;
  background-color: var(--blue-bg);
}

#transfer-modal input::-webkit-input-placeholder,
#transfer-modal textarea::-webkit-input-placeholder {
  font-size: 16px;
  font-weight: 400;
  color: var(--secondary-text);
}

#transfer-modal input::-moz-placeholder,
#transfer-modal textarea::-moz-placeholder {
  font-size: 16px;
  font-weight: 400;
  color: var(--secondary-text);
}

#transfer-modal input:-ms-input-placeholder,
#transfer-modal textarea:-ms-input-placeholder {
  font-size: 16px;
  font-weight: 400;
  color: var(--secondary-text);
}

#transfer-modal input::-ms-input-placeholder,
#transfer-modal textarea::-ms-input-placeholder {
  font-size: 16px;
  font-weight: 400;
  color: var(--secondary-text);
}

#transfer-modal input::placeholder,
#transfer-modal textarea::placeholder {
  font-size: 16px;
  font-weight: 400;
  color: var(--secondary-text);
}

.step {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  gap: 16px;
  position: relative;
}

.step .content {
  padding-left: 32px;
  padding-bottom: 24px;
  width: 100%;
  margin-left: 16px !important;
}

.step:not(:last-child) .content {
  border-left: 1px dashed var(--primary-text);
}

#transfer-modal-4 .modal-content {
  max-height: calc(100vh - 112px);
}

.modal-content::-webkit-scrollbar,
#conversions-by-goal::-webkit-scrollbar,
#transfer-modal-4 .modal-content > div::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.modal-content::-webkit-scrollbar-thumb,
#conversions-by-goal::-webkit-scrollbar-thumb,
#transfer-modal-4 .modal-content > div::-webkit-scrollbar-thumb {
  background-color: var(--secondary-border);
  border-radius: 40px;
  width: 8px;
}

.modal-content::-webkit-scrollbar-track,
#conversions-by-goal::-webkit-scrollbar-track,
#transfer-modal-4 .modal-content > div::-webkit-scrollbar-track {
  background: var(--blue-bg);
  border-radius: 40px;
  margin: 4px 0 0 12px;
}

.step .circle {
  min-width: 32px;
  min-height: 32px;
  background-color: var(--primary-text);
  border-radius: 50%;
  position: absolute;
  left: 0;
  top: 0;
}

.mobile-platforms {
  display: none;
}

.desktop-platforms {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.custom-tooltip {
  position: absolute;
  left: calc(100% + 20px);
  padding: 8px;
  border-radius: 4px;
  opacity: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--primary-text);
  color: white;
  font-size: 14px;
  font-weight: 500;
  white-space: nowrap;
  transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
  visibility: hidden;
  z-index: 10;
}

.custom-tooltip::before {
  content: "";
  position: absolute;
  top: 50%;
  left: -18px;
  border-width: 10px;
  border-style: solid;
  border-color: transparent var(--primary-text) transparent transparent;
  transform: translateY(-50%);
}

.sidebar > span:hover .custom-tooltip {
  opacity: 1;
  visibility: visible;
  transition-delay: 1s;
}

.popup button,
#conversions-by-goal button,
.connect-to-firebi button,
.platform-content button,
#create-company-mobile button {
  padding: 18px 28px;
}

.popup .wrapper-dropdown {
  padding: 13px 16px;
}

.mobile-table {
  display: none;
  flex-direction: column;
  gap: 8px;
}

.mobile-table-item {
  padding: 16px;
  background-color: var(--primary-bg);
  border-radius: 16px;
}

.mobile-table-item-content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 4px;
}

.table-area {
  border-bottom: none !important;
}

/*------------------------- SEARCH DROPDOWN -------------------------*/
.search-dropdown {
  position: relative;
  width: 100%;
}

.search-dropdown .dropdown {
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  position: absolute;
  top: 120%;
  right: 0;
  left: 0;
  margin: 0;
  padding: 0;
  list-style: none;
  z-index: 99;
  border-radius: 16px;
  opacity: 0;
  visibility: hidden;
  border: 1px solid var(--secondary-border);
  background-color: white;
  overflow: hidden;
  max-height: 200px; /* Ограничение по высоте */
  overflow-y: auto; /* Прокрутка, если элементов много */
}

.search-dropdown .dropdown li {
  padding: 13px 16px;
  line-height: 24px;
  overflow: hidden;
  font-size: 16px;
  font-weight: 600;
  color: var(--primary-text);
  white-space: nowrap;
  cursor: pointer;
}

.search-dropdown .dropdown li:last-child {
  border-bottom: none;
}

.search-dropdown .dropdown li:hover {
  background-color: var(--blue-bg);
}

.search-dropdown .dropdown.active {
  opacity: 1;
  visibility: visible;
}

.search-dropdown-input {
  padding: 13px 16px;
  background-color: var(--blue-bg);
  border-radius: 16px;
  overflow: hidden;
  position: relative;
  border: 1px solid white;
  display: flex;
  align-items: center;
  gap: 8px;
  width: 100%;
}

.search-dropdown-input:focus-within {
  border: 1px solid var(--blue);
}

.search-dropdown .search-icon {
    position: absolute;
    right: 16px;
    top: 50%;
    transform:  translateY(-50%);
}

.search-dropdown-input:hover + .search-icon {color: var(--blue);}
/*------------------------- SEARCH DROPDOWN -------------------------*/

.small-line {
  display: inline-block;
  min-width: 16px;
  max-width: 16px;
  height: 2px;
  background-color: var(--secondary-text);
  margin-bottom: 20px;
}

.line {
  display: block;
  width: 100%;
  height: 1px;
  background-color: var(--secondary-border);
}

.ads-profile-notify {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 8px 24px 8px 16px;
  background-color: var(--warning);
  border-top-left-radius: 16px;
}

.ads-profile-notify a,
.ads-profile-notify span {
  color: var(--primary-text);
  font-size: 16px;
  font-weight: 600;
}

.input-with-star {
  position: relative;
}

.input-with-star input {
  width: 100%;
}

.input-with-star span {
  position: absolute;
  right: 16px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 16px;
  font-weight: 400;
  color: var(--blue);
}

.error-border {
  border: 1px solid var(--red-text) !important;
}

.error {
  color: var(--red-text);
}

.profile-content{position: relative;}

.profile-logout {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  position: absolute;
  background-color: white;
  top: 0;
  right: -100%;
  padding: 8px;
  max-width: 100%;
  /* transition: var(--transition); */
}

.profile-logout h2 {
  font-size: 36px;
  font-weight: 700;
  color: var(--primary-text);
  margin: 32px 24px 0 24px;
}

.profile-logout button {
  width: 100%;
  padding: 18px;
}

.profile-logout,
.profile-item-list {background-color: white;}

.profile-item-list {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.profile-item-list .profile-item {
  /* transition: var(--transition); */
  border-radius: 16px;
  background-color: white;
  padding: 24px 16px;
  display: flex;
  align-items: center;
  gap: 16px;
}

.profile-item-list .profile-item.active,
.profile-item-list .profile-item:hover {
  background-color: var(--primary-bg);
  cursor: pointer;
}

.profile-item-list .profile-item:hover svg path.hover {fill: var(--primary-text);}

.ads-modal {
  padding-top: 8px;
}

.ads-modal .modal-content {
  max-width: 456px;
  height: calc(100% - 8px);
  margin: auto 0 auto auto;
  background-color: var(--primary-bg);
  right: 8px;
}

.ads-modal .modal-content > div {height: calc(100% - 132px);}

.ads-modal .modal-content .hoverable:hover {
  background-color: var(--blue-bg);
  border-radius: 16px;
}

.balance-popup {
  position: absolute;
  right: 0;
  top: 100%;
  border: 1px solid var(--secondary-border);
  background-color: white;
  border-radius: 16px;
  width: 324px;
  display: none;
  overflow: hidden;
  cursor: auto;
}

.balance-popup .head {
  padding: 16px;
  border-bottom: 1px solid var(--secondary-border);
}

.balance-popup .head .back {
  width: 32px;
  height: 32px;
}

.balance-popup .content {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 4px;
}

.balance-popup .content .content-head {
  padding: 8px 16px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  transition: var(--transition);
}

#balance-content-with-groups {display: flex;}

.projects-balance {
  display: none;
  max-height: 460px;
  overflow-y: auto;
}

.projects-balance::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.projects-balance::-webkit-scrollbar-thumb {
  background-color: var(--secondary-border);
  border-radius: 40px;
  width: 8px;
}

.projects-balance::-webkit-scrollbar-track {
  background: var(--blue-bg);
  border-radius: 40px;
  margin: 12px 0;
}

.projects-balance .content-head:hover {
  background-color: var(--blue-bg);
  border-radius: 16px;
}

.balance-popup .content .content-head .to-project-balance {
  padding: 10px;
  position: relative;
  cursor: pointer;
  border-radius: 8px;
}

.balance-popup .content .content-head .to-project-balance::after {
  display: block;
  content: url(../images/wallet-add.svg);
  height: 24px;
}
.to-project-balance:hover:after {
  content: url(../images/wallet-add-hover.svg) !important;
}
.to-project-balance:hover {
  background-color: var(--blue-bg);
}

.balance-popup .content .content-head > div span {
  font-size: 13px;
  font-weight: 500;
  color: var(--secondary-text);
}

.balance-popup .content .content-head > div p {
  font-size: 16px;
  font-weight: 600;
  color: var(--primary-text);
}

.balance-popup .content .content-items {
  padding: 16px;
  border-radius: 16px;
  background-color: var(--primary-bg);
}

.balance-popup .content .content-items {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.balance-popup .content .content-items > div > div img {
  width: 48px;
  height: 48px;
  border-radius: 100px;
}

.balance-popup .content .content-items > div .replenish-group-balance {
  width: 40px;
  height: 40px;
  border-radius: 8px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.balance-popup .content .content-items > div .replenish-group-balance:hover {
  background-color: var(--blue-bg);
}

.balance-popup .content .content-items > div .replenish-group-balance::after {
  content: url(../images/cross-black.svg);
  margin-top: 6px;
}

.balance-popup .content .content-items > div .replenish-group-balance:hover::after {
  content: url(../images/cross-black-hover.svg);
}

.balance-popup .bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50px;
  border-top: 1px solid var(--secondary-border);
  transition: var(--transition);
  cursor: pointer;
}

.balance-popup .bottom a {
  text-decoration: none;
  color: var(--blue);
  font-size: 16px;
  font-weight: 600;
}

.balance-popup .bottom:hover {background-color: var(--blue) !important;}
.balance-popup .bottom:hover a {color: white;}



.balance-popup .bottom:hover {
  background-color: var(--blue-bg);
}

.balance-modal .modal-content {
  max-width: 416px;
  top: 50%;
  transform: translateY(-50%);
}

.balance-modal button {
  padding: 18px 28px;
}

.balance-modal .modal-content input {
  border: none;
  border-radius: 16px;
  background-color: var(--blue-bg);
  padding: 13px 16px;
  outline: none;
}

.balance-modal .modal-content input,
.balance-modal .modal-content input::placeholder {
  font-size: 16px;
  font-weight: 400;
  color: var(--primary-text);
}

#balance-replenish-types-modal .modal-content > div {display: flex;}

/* ------------------ CUSTOM PAGINATION --------------------- */
.custom-pagination {
  display: flex;
  justify-content: center;
  gap: 16px;
}

.custom-pagination span {
  width: 40px;
  height: 40px;
  border-radius: 8px;
  font-size: 14px;
  font-weight: 500;
  color: var(--secondary-text);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: var(--transition);
}

.custom-pagination span:hover {
  background-color: var(--blue-bg);
}

.custom-pagination .pages {
  display: flex;
  align-items: center;
  gap: 8px;
}

.custom-pagination .pages span.active { 
  background-color: var(--blue);
  color: white;
}

.custom-pagination .pages span:hover:not(.active) {
  background-color: var(--primary-bg);
  color: var(--primary-text);
}

.custom-pagination .left,
.custom-pagination .right {
  position: relative;
}

.custom-pagination .left::after,
.custom-pagination .right::after {
  content: url(../images/arrow.svg);
  height: 18px;
}

.custom-pagination .left:hover:after,
.custom-pagination .right:hover:after {
  content: url(../images/arrow-hover.svg);
}

.custom-pagination .right::after {
  transform: rotate(180deg);
}
/* ------------------ CUSTOM PAGINATION --------------------- */

.more-settings {
  display: block;
  width: 40px;
  min-width: 40px;
  height: 40px;
  border-radius: 8px;
  cursor: pointer;
  transition: var(--transition);
  position: relative;
}

.more-settings::after {
  position: absolute;
    content: url(../images/more.svg);
    left: 8px;
    top: 7.5px;
}

.more-settings:hover {
  background-color: var(--blue-bg);
}

.wb-associates tr td:last-child {
  width: 100%;
}

@media (max-width: 1024px) {
  .burger-menu {
    display: block;
  }

  .menu .for-desk,
  .desktop-platforms {
    display: none !important;
  }

  .mobile-platforms {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }

  .projects .head > button,
  .sidebar {
    display: none !important;
  }

  .projects,
  .companies {
    margin-left: 0;
    width: 100%;
  }

  .selected-actions {
    width: 100%;
  }

  .selected-actions {
    left: 16px !important;
    max-width: calc(100% - 32px);
  }

  .menu > span {
    padding: 7.2px 8px;
  }

  .menu > span:last-of-type {
    padding: 14px 10px;
  }

  .menu > span:last-of-type:hover {
    background-color: transparent;
  }
}

@media (max-width: 640px) {
  #profile-modal {
    background: transparent;
  }

  #profile-modal .modal-content {
    right: 0;
    max-width: 100%;
    width: 100%;
    max-height: calc(100% - 48px);
    height: 100%;
    border-radius: 0;
    border: none;
    top: 48px;
  }

  #profile-modal .modal-content h6 {display: none;}
}

@media (max-width: 480px) {
  .table-controls > div:last-of-type,
  .table-controls > div > label,
  .table-section {
    display: none !important;
  }

  .table-area {
    padding: 16px !important;
  }

  .table-controls > div:first-of-type,
  .table-controls > div > div {
    width: 100% !important;
  }

  .table-controls {
    padding: 0 !important;
  }

  #create-company-mobile .modal-content > div {
    margin-top: 21px;
  }

  .mobile-table {
    display: flex;
  }
}
